Package: org.apache.groovy.groovysh.jline

## [Groovy] Enum SnippetType

- org.apache.groovy.groovysh.jline.SnippetType

-     enum SnippetType
      extends Enum

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `IMPORT` |
    `METHOD` |
    `TYPE` |
    `VARIABLE` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static SnippetType` | `MAX_VALUE` |
    `static SnippetType` | `MIN_VALUE` |

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `compareTo, compareTo, describeConstable, equals, getClass, getDeclaringClass, hashCode, name, notify, notifyAll, ordinal, toString, valueOf, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SnippetType IMPORT

    - #### SnippetType METHOD

    - #### SnippetType TYPE

    - #### SnippetType VARIABLE

  - ### Field Detail

    - #### public static final SnippetType MAX_VALUE

    - #### public static final SnippetType MIN_VALUE